Package com.independentsoft.office.word

# Class Border

java.lang.Object
com.independentsoft.office.word.Border

Direct Known Subclasses:
  `BarBorder`, `BetweenBorder`, `BottomBorder`, `HorizontalInsideBorder`, `LeftBorder`, `RightBorder`, `TopBorder`, `TopLeftBottomRightDiagonalBorder`, `TopRightBottomLeftDiagonalBorder`, `VerticalInsideBorder`

public class Border extends Object
The Class Border.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Color`
  `color`
  `protected ExtendedBoolean`
  `frameEffect`
  `protected ExtendedBoolean`
  `shadow`
  `protected int`
  `space`
  `protected StandardBorderStyle`
  `style`
  `protected ThemeColor`
  `themeColor`
  `protected int`
  `themeShade`
  `protected int`
  `themeTint`
  `protected int`
  `width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Border()`
  Instantiates a new border.
  `Border​(StandardBorderStyle style)`
  Instantiates a new border.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Border`
  `clone()`
  `Color`
  `getColor()`
  Gets the color.
  `ExtendedBoolean`
  `getFrameEffect()`
  Gets the frame effect.
  `ExtendedBoolean`
  `getShadow()`
  Gets the shadow.
  `int`
  `getSpace()`
  Gets the space.
  `StandardBorderStyle`
  `getStyle()`
  Gets the style.
  `ThemeColor`
  `getThemeColor()`
  Gets the theme color.
  `int`
  `getThemeShade()`
  Gets the theme shade.
  `int`
  `getThemeTint()`
  Gets the theme tint.
  `int`
  `getWidth()`
  Gets the width.
  `void`
  `setColor​(Color color)`
  Sets the color.
  `void`
  `setFrameEffect​(ExtendedBoolean frameEffect)`
  Sets the frame effect.
  `void`
  `setShadow​(ExtendedBoolean shadow)`
  Sets the shadow.
  `void`
  `setSpace​(int space)`
  Sets the space.
  `void`
  `setStyle​(StandardBorderStyle style)`
  Sets the style.
  `void`
  `setThemeColor​(ThemeColor themeColor)`
  Sets the theme color.
  `void`
  `setThemeShade​(int themeShade)`
  Sets the theme shade.
  `void`
  `setThemeTint​(int themeTint)`
  Sets the theme tint.
  `void`
  `setWidth​(int width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### color

    protected Color color

  - ### frameEffect

    protected ExtendedBoolean frameEffect

  - ### shadow

    protected ExtendedBoolean shadow

  - ### space

    protected int space

  - ### width

    protected int width

  - ### themeColor

    protected ThemeColor themeColor

  - ### themeShade

    protected int themeShade

  - ### themeTint

    protected int themeTint

  - ### style

    protected StandardBorderStyle style

- ## Constructor Details

  - ### Border

    public Border()
    Instantiates a new border.

  - ### Border

    public Border​(StandardBorderStyle style)
    Instantiates a new border.
    Parameters:
      `style` - the style

- ## Method Details

  - ### clone

    public Border clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getStyle

    public StandardBorderStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(StandardBorderStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getColor

    public Color getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(Color color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getFrameEffect

    public ExtendedBoolean getFrameEffect()
    Gets the frame effect.
    Returns:
      the frame effect

  - ### setFrameEffect

    public void setFrameEffect​(ExtendedBoolean frameEffect)
    Sets the frame effect.
    Parameters:
      `frameEffect` - the new frame effect

  - ### getShadow

    public ExtendedBoolean getShadow()
    Gets the shadow.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(ExtendedBoolean shadow)
    Sets the shadow.
    Parameters:
      `shadow` - the new shadow

  - ### getSpace

    public int getSpace()
    Gets the space.
    Returns:
      the space

  - ### setSpace

    public void setSpace​(int space)
    Sets the space.
    Parameters:
      `space` - the new space

  - ### getWidth

    public int getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(int width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getThemeColor

    public ThemeColor getThemeColor()
    Gets the theme color.
    Returns:
      the theme color

  - ### setThemeColor

    public void setThemeColor​(ThemeColor themeColor)
    Sets the theme color.
    Parameters:
      `themeColor` - the new theme color

  - ### getThemeShade

    public int getThemeShade()
    Gets the theme shade.
    Returns:
      the theme shade

  - ### setThemeShade

    public void setThemeShade​(int themeShade)
    Sets the theme shade.
    Parameters:
      `themeShade` - the new theme shade

  - ### getThemeTint

    public int getThemeTint()
    Gets the theme tint.
    Returns:
      the theme tint

  - ### setThemeTint

    public void setThemeTint​(int themeTint)
    Sets the theme tint.
    Parameters:
      `themeTint` - the new theme tint